Get scan details
Returns the status, statistics and run details of a scan.
GET/v1/scans/{scanId}GETGet scan detailscurl -X GET "https://api.darkradar.com/api/public/v1/scans/507f1f77bcf86cd799439011" \ -H "x-api-key: $DARKRADAR_API_KEY"
Response
{
"success": true,
"message": "OK",
"data": {
"scan": {
"stats": {
"severities": {
"critical": 0,
"high": 0,
"medium": 0,
"low": 0,
"unknown": 0
},
"types": {
"employee": 0,
"customer": 0
},
"resourceTypeBreakdown": {
"domain": 0,
"email": 0,
"ip": 0,
"hwid": 0,
"username": 0,
"application": 0
},
"totalItemsChecked": 0,
"totalResourcesScanned": 0,
"totalMatches": 0,
"newMatches": 0,
"credentialsFound": 0,
"machinesFound": 0
},
"error": {
"message": null,
"code": null
},
"durationMs": null,
"_id": "64b1f0c2a9e4d21f8c3b9008",
"firm": "64b1f0c2a9e4d21f8c3b9004",
"targetValue": "ornek.com.tr",
"completedAt": "2026-09-18T14:54:04.834Z",
"createdAt": "2026-09-18T12:51:32.944Z",
"protectionResourceGroupId": null,
"resourceType": "domain",
"scanType": "manual",
"startedAt": "2026-09-18T14:54:04.834Z",
"status": "completed",
"updatedAt": "2026-09-18T14:54:04.834Z",
"resourceResults": []
}
}
}Path parameters
| Fields | Values |
|---|---|
scanId · string · required | Unique identifier of the scan · Example: 507f1f77bcf86cd799439011 |
Responses
200Success400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Rate limit500 requests per 15 min · per IP